Encryption Protectors - Create Or Update
Frissíti a meglévő titkosítási védőt.
PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/encryptionProtector/current?api-version=2025-01-01
URI-paraméterek
| Name | In | Kötelező | Típus | Description |
|---|---|---|---|---|
|
encryption
|
path | True |
A lekérendő titkosítási védő neve. |
|
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
Az erőforráscsoport neve. A név nem megkülönbözteti a kis- és nagybetűket. |
|
server
|
path | True |
string |
A kiszolgáló neve. |
|
subscription
|
path | True |
string (uuid) |
A cél-előfizetés azonosítója. Az értéknek UUID-nek kell lennie. |
|
api-version
|
query | True |
string minLength: 1 |
A művelethez használandó API-verzió. |
Kérelem törzse
| Name | Kötelező | Típus | Description |
|---|---|---|---|
| properties.serverKeyType | True |
A titkosítási védő típusa, például "ServiceManaged", "AzureKeyVault". |
|
| properties.autoRotationEnabled |
boolean |
A kulcs automatikus elforgatásának bejelentkezési jelzője. Igaz vagy hamis. |
|
| properties.serverKeyName |
string |
A kiszolgálókulcs neve. |
Válaszok
| Name | Típus | Description |
|---|---|---|
| 200 OK |
Az erőforrás 'EncryptionProtector' frissítési művelete sikeres volt |
|
| 202 Accepted |
Az erőforrásművelet elfogadott. Fejlécek
|
|
| Other Status Codes |
Váratlan hibaválasz. |
Biztonság
azure_auth
Azure Active Directory OAuth2 Flow.
Típus:
oauth2
Folyamat:
implicit
Engedélyezési URL:
https://login.microsoftonline.com/common/oauth2/authorize
Hatókörök
| Name | Description |
|---|---|
| user_impersonation | a felhasználói fiók megszemélyesítése |
Példák
| Update the encryption protector to key vault |
| Update the encryption protector to key vault with versionless key |
| Update the encryption protector to service managed |
Update the encryption protector to key vault
Mintakérelem
PUT https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-7398/providers/Microsoft.Sql/servers/sqlcrudtest-4645/encryptionProtector/current?api-version=2025-01-01
{
"properties": {
"autoRotationEnabled": false,
"serverKeyName": "someVault_someKey_01234567890123456789012345678901",
"serverKeyType": "AzureKeyVault"
}
}
Mintaválasz
{
"name": "current",
"type": "Microsoft.Sql/servers/encryptionProtector",
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-7398/providers/Microsoft.Sql/servers/sqlcrudtest-4645/encryptionProtector/current",
"kind": "azurekeyvault",
"location": "West US",
"properties": {
"autoRotationEnabled": false,
"serverKeyName": "someVault_someKey_01234567890123456789012345678901",
"serverKeyType": "AzureKeyVault"
}
}
Update the encryption protector to key vault with versionless key
Mintakérelem
PUT https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-7398/providers/Microsoft.Sql/servers/sqlcrudtest-4645/encryptionProtector/current?api-version=2025-01-01
{
"properties": {
"autoRotationEnabled": false,
"serverKeyName": "someVault_someKey",
"serverKeyType": "AzureKeyVault"
}
}
Mintaválasz
{
"name": "current",
"type": "Microsoft.Sql/servers/encryptionProtector",
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-7398/providers/Microsoft.Sql/servers/sqlcrudtest-4645/encryptionProtector/current",
"kind": "azurekeyvault",
"location": "West US",
"properties": {
"autoRotationEnabled": false,
"keyVersion": "01234567890123456789012345678901",
"serverKeyName": "someVault_someKey",
"serverKeyType": "AzureKeyVault"
}
}
Update the encryption protector to service managed
Mintakérelem
PUT https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-7398/providers/Microsoft.Sql/servers/sqlcrudtest-4645/encryptionProtector/current?api-version=2025-01-01
{
"properties": {
"serverKeyName": "ServiceManaged",
"serverKeyType": "ServiceManaged"
}
}
Mintaválasz
{
"name": "current",
"type": "Microsoft.Sql/servers/encryptionProtector",
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-7398/providers/Microsoft.Sql/servers/sqlcrudtest-4645/encryptionProtector/current",
"kind": "servicemanaged",
"location": "West US",
"properties": {
"serverKeyName": "ServiceManaged",
"serverKeyType": "ServiceManaged"
}
}
Definíciók
| Name | Description |
|---|---|
|
created |
Az erőforrást létrehozó identitás típusa. |
|
Encryption |
A kiszolgálótitkosítási védő. |
|
Encryption |
|
|
Error |
Az erőforrás-kezelési hiba további információi. |
|
Error |
A hiba részletei. |
|
Error |
Hibaválasz |
|
Server |
A titkosítási védő típusa, például "ServiceManaged", "AzureKeyVault". |
|
system |
Az erőforrás létrehozásával és utolsó módosításával kapcsolatos metaadatok. |
createdByType
Az erőforrást létrehozó identitás típusa.
| Érték | Description |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
EncryptionProtector
A kiszolgálótitkosítási védő.
| Name | Típus | Description |
|---|---|---|
| id |
string (arm-id) |
Az erőforrás teljes erőforrás-azonosítója. Például: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}" |
| kind |
string |
Egyfajta titkosítási védő. Ez az Azure portál élményhez használt metaadat. |
| location |
string |
Erőforrás helye. |
| name |
string |
Az erőforrás neve |
| properties.autoRotationEnabled |
boolean |
A kulcs automatikus elforgatásának bejelentkezési jelzője. Igaz vagy hamis. |
| properties.keyVersion |
string |
A titkosítási védelemként használt kiszolgálókulcs verziója |
| properties.serverKeyName |
string |
A kiszolgálókulcs neve. |
| properties.serverKeyType |
A titkosítási védő típusa, például "ServiceManaged", "AzureKeyVault". |
|
| properties.subregion |
string |
A titkosítási védő alrégiója. |
| properties.thumbprint |
string |
A kiszolgálókulcs ujjlenyomata. |
| properties.uri |
string |
A kiszolgálókulcs URI-ja. |
| systemData |
Azure Resource Manager metaadat, amely createdBy és modifiedBy információkat tartalmaz. |
|
| type |
string |
Az erőforrás típusa. Például: "Microsoft. Compute/virtualMachines" vagy "Microsoft. Tárhely/tárolásFiókok" |
EncryptionProtectorName
| Érték | Description |
|---|---|
| current |
aktuális |
ErrorAdditionalInfo
Az erőforrás-kezelési hiba további információi.
| Name | Típus | Description |
|---|---|---|
| info |
object |
A további információk. |
| type |
string |
A további információtípus. |
ErrorDetail
A hiba részletei.
| Name | Típus | Description |
|---|---|---|
| additionalInfo |
A hiba további információi. |
|
| code |
string |
A hibakód. |
| details |
A hiba részletei. |
|
| message |
string |
A hibaüzenet. |
| target |
string |
A hiba célpontja. |
ErrorResponse
Hibaválasz
| Name | Típus | Description |
|---|---|---|
| error |
A hibaobjektum. |
ServerKeyType
A titkosítási védő típusa, például "ServiceManaged", "AzureKeyVault".
| Érték | Description |
|---|---|
| ServiceManaged |
ServiceManaged |
| AzureKeyVault |
AzureKeyVault |
systemData
Az erőforrás létrehozásával és utolsó módosításával kapcsolatos metaadatok.
| Name | Típus | Description |
|---|---|---|
| createdAt |
string (date-time) |
Az erőforrás-létrehozás időbélyege (UTC). |
| createdBy |
string |
Az erőforrást létrehozó identitás. |
| createdByType |
Az erőforrást létrehozó identitás típusa. |
|
| lastModifiedAt |
string (date-time) |
Az erőforrás utolsó módosításának időbélyege (UTC) |
| lastModifiedBy |
string |
Az erőforrást legutóbb módosító identitás. |
| lastModifiedByType |
Az erőforrást legutóbb módosító identitás típusa. |